complexType "TradeUnderlyer2"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-generic-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (floatingRate? | fixedRate? | underlyingAsset? | quotedCurrencyPair? | referenceEntity?)
</...>

Content Model Elements (5):

  fixedRate (in underlyer defined in GenericProduct complexType),
  floatingRate (in underlyer defined in GenericProduct complexType),
  quotedCurrencyPair (in underlyer defined in GenericProduct complexType),
  referenceEntity (in underlyer defined in GenericProduct complexType),
  underlyingAsset

All Direct / Indirect Based Elements (1):

  underlyer (defined in GenericProduct complexType)

Known Usage Locations

- As direct type of elements (1):
  underlyer (defined in GenericProduct complexType)

Annotation
The underlying asset/index/reference price etc. whose rate/price may be observed to compute the value of the cashflow. It can be an index, fixed rate, listed security, quoted currency pair, or a reference entity (for credit derivatives).
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="TradeUnderlyer2"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="floatingRate" type="FloatingRate"/> <xsd:element minOccurs="0" name="fixedRate" type="Schedule"/> <xsd:element minOccurs="0" ref="underlyingAsset"/> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/> <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"/> </xsd:choice> <xsd:group minOccurs="0" ref="PayerReceiver.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 5/5)
fixedRate

  Type: | Schedule, complex content

  The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedRate" type="Schedule"/>

floatingRate

  Type: | FloatingRate, complex content

  A floating rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="floatingRate" type="FloatingRate"/>

quotedCurrencyPair

  Type: | QuotedCurrencyPair, complex content

  Describes the composition of a rate that has been quoted. This includes the two currencies and the quotation relationship between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/>

referenceEntity

  Type: | LegalEntity, complex content

  The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations. It is vital to use the correct legal name of the entity and to be careful not to choose a subsidiary if you really want to trade protection on a parent company. Please note, Reference Entities cannot be senior or subordinated. It is the obligations of the Reference Entities that can be senior or subordinated. ISDA 2003 Term: Reference Entity
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"/>

underlyingAsset

  Type: | Asset, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 12 elements

  Define the underlying asset, either a listed security or other instrument.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="underlyingAsset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.